# Enable moving entities to trash (non-permanent deletion).
# Default value: true
enable-trash = true

# Default view mode that should be used if user doesn't have it specified in URL. 
# Options: 
#  'NORMAL' (standard mode - default), 
#  'SIMPLE' (readonly mode with simplified GUI), 
#  'EMBEDDED' (similar to 'SIMPLE', suitable to be embedded on external pages) 
#
#default-view-mode = SIMPLE

# Flag specifying whether default login mode is anonymous or not. 
# If true a user-for-anonymous-login has to be defined in service.properties
# Default value: false
# default-anonymous-login = true

# Maximal number of visible columns in tables. Default: 50.
#max-visible-columns = 20

# (optional) List of data set types for which there should be an image overview shown in dataset tables.
# If not specified image overview will not be shown for any datasets 
# even if some overview plugins have been configured. 
#
data-set-types-with-image-overview = MICROSCOPY_IMAGE, .*IMG.*

# Configuration of entity (experiment, sample, data set, material) detail views.
# Allows to hide chosen sections.
#
# Mandatory properties: 
#   - view (entity detail view id) 
#   - types (list of entity type codes)
# Optional properties: 
#   - hide-sections (list of section ids)
#   - hide-smart-view (removes "Smart View" from Data Set Detail View -> Data View) (generic_dataset_viewer)
#   - hide-file-view (removes "File View" from Data Set Detail View -> Data View) (generic_dataset_viewer)
# Available sections in entity-detail-views:
#   generic_dataset_viewer
#   	data-set-data-section
#   	data-set-parents-section
#   	data-set-children-section
#    	plate-layout-dataset-section
#     logical-image-dataset-section (valid only for microscopy datasets)
#			query-section
#   generic_experiment_viewer
#   	data-sets-section
#   	attachment-section
#     experiment-sample-section
#   	plate-locations-experiment-section
#   	experiment-well-materials-section
#   	experiment-feature-vector-summary-section
#			query-section
#   generic_sample_viewer
#   	plate-layout-sample-section
#   	container-sample-section
#   	derived-samples-section
#   	parent-samples-section
#   	data-sets-section
#   	attachment-section
#			query-section
#     logical-image-well-section (valid only for HCS well samples)
#   generic_material_viewer
#   	plate-locations-material-section
#     material-replica-summary-section
#     material-features-all-experiments-section
#			query-section
#
detail-views = plate-or-well-view, image-data-view, image-analysis-data-view, microscopy-dataset-view

#experiment-view.view = generic_experiment_viewer
#experiment-view.types = SIRNA_HCS
#experiment-view.hide-sections = data-sets-section, attachment-section

plate-or-well-view.view = generic_sample_viewer
plate-or-well-view.types = PLATE.*, .*WELL.*
plate-or-well-view.hide-sections = container-sample-section, derived-samples-section, parent-samples-section

image-data-view.view = generic_dataset_viewer
image-data-view.types = HCS_IMAGE.*
image-data-view.hide-sections = data-set-parents-section, data-set-children-section, plate-layout-dataset-section
image-data-view.hide-smart-view = false
image-data-view.hide-file-view = true

image-analysis-data-view.view = generic_dataset_viewer
image-analysis-data-view.types = HCS_ANALYSIS_.*WELL_FEATURES
image-analysis-data-view.hide-sections = data-set-parents-section, data-set-children-section
image-analysis-data-view.hide-smart-view = true
image-analysis-data-view.hide-file-view = true

microscopy-dataset-view.view = generic_dataset_viewer
microscopy-dataset-view.types = MICROSCOPY_IMAGE, .*IMG.*
microscopy-dataset-view.hide-sections = data-set-children-section, data-set-parents-section
microscopy-dataset-view.hide-smart-view = false
microscopy-dataset-view.hide-file-view = true

technologies = screening
screening.image-viewer-enabled = true
# Material properties of the configured type will be rendered as links 
# to the material detail view. 
#screening.material-details-property-type = GENE_SYMBOLS
